Accounts

get
Authorizations
AuthorizationstringRequired
Query parameters
searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get
/accounts/analysts/
200Success
get
Authorizations
AuthorizationstringRequired
Responses
200Success
application/json
consent_givenbooleanOptional
user_uuidstring · uuidRead-onlyOptional
get
/accounts/analysts/current/
200Success
patch
Authorizations
AuthorizationstringRequired
Body
consent_givenbooleanOptional
user_uuidstring · uuidRead-onlyOptional
Responses
200Success
application/json
consent_givenbooleanOptional
user_uuidstring · uuidRead-onlyOptional
patch
/accounts/analysts/current/
200Success
get
Authorizations
AuthorizationstringRequired
Query parameters
pageanyOptional

A page number within the paginated result set.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get
/accounts/groups/
200Success

List invitations

get

List the invitations for the organizaton.

Authorizations
AuthorizationstringRequired
Query parameters
pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get
/accounts/invite/
200Success

Create an invitation for a user to join an organization.

post

Create an invitation for a user to join an organization.

Authorizations
AuthorizationstringRequired
Body
uuidstring · uuidRead-onlyOptional
invitee_identifierstring · min: 1Required
rolestring · enumOptionalPossible values:
invited_bystring · uuidRead-onlyOptional
sent_atstring · date-timeRead-onlyOptional
valid_untilstring · date-timeRead-onlyOptional
Responses
post
/accounts/invite/
get
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
200Success
application/json
uuidstring · uuidRead-onlyOptional
invitee_identifierstring · min: 1Required
rolestring · enumOptionalPossible values:
invited_bystring · uuidRead-onlyOptional
sent_atstring · date-timeRead-onlyOptional
valid_untilstring · date-timeRead-onlyOptional
get
/accounts/invite/{uuid}/
200Success

Resend invitation to a user to join an organization.

post

Resend an invitation to a user to join an organization.

Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Bodyobject[]
uuidstring · uuidRead-onlyOptional
invitee_identifierstring · min: 1Required
rolestring · enumOptionalPossible values:
invited_bystring · uuidRead-onlyOptional
sent_atstring · date-timeRead-onlyOptional
valid_untilstring · date-timeRead-onlyOptional
Responses
200

Invitation resent successfully

application/json
uuidstring · uuidRead-onlyOptional
invitee_identifierstring · min: 1Required
rolestring · enumOptionalPossible values:
invited_bystring · uuidRead-onlyOptional
sent_atstring · date-timeRead-onlyOptional
valid_untilstring · date-timeRead-onlyOptional
post
/accounts/invite/{uuid}/

Revoke invitation to a user to join an organization.

delete

Revoke an invitation to a user to join an organization.

Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
delete
/accounts/invite/{uuid}/

No content

On POST attempt to generate and return login params containing the login hint url and the account identifier (email).

post

The following cases are handled:

  • If an email address does not pass the serializer EmailField validation, return an error.

  • If a there are multiple users associated with the same email address. Return a route indicating manual entry is required.

  • If a valid email is provided, fetch the Org's striviactiy metdata and use that to build a login hint and return the correct value.

Authorizations
AuthorizationstringRequired
Body
emailstring · email · min: 1Required
Responses
200

Successful Response

application/json
paramsstringOptional
post
/accounts/login_url/
get
Authorizations
AuthorizationstringRequired
Query parameters
idanyOptional

id

uuidanyOptional

uuid

nameanyOptional

name

sluganyOptional

slug

searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get
/accounts/organizations/
200Success
post
Authorizations
AuthorizationstringRequired
Body
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
Responses
post
/accounts/organizations/
201Success
get
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
200Success
application/json
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
get
/accounts/organizations/{uuid}/
200Success
put
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Body
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
Responses
200Success
application/json
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
put
/accounts/organizations/{uuid}/
200Success
delete
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
delete
/accounts/organizations/{uuid}/
204Success

No content

patch
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Body
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
Responses
200Success
application/json
uuidstring · uuidRead-onlyOptional
namestring · min: 1 · max: 200Required

The name of the organization

slugstring · slug · min: 1 · max: 200Required

The name in all lowercase, suitable for URL identification

Pattern: ^[-a-zA-Z0-9_]+$
account_portal_urlstringRead-onlyOptional
patch
/accounts/organizations/{uuid}/
200Success
post
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Body
usageintegerOptional
Responses
200Success
application/json
limitintegerRead-onlyOptional
usageintegerRead-onlyOptional
remainingintegerRead-onlyOptional
overridenbooleanRead-onlyOptional
post
/accounts/organizations/{uuid}/increment/
200Success
get
Authorizations
AuthorizationstringRequired
Responses
200Success

No content

get
/accounts/portal/
200Success

No content

get
Authorizations
AuthorizationstringRequired
Query parameters
searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get
/accounts/users/
200Success
post
Authorizations
AuthorizationstringRequired
Body
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

Responses
post
/accounts/users/
201Success
get
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

get
/accounts/users/{uuid}/
200Success
put
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Body
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

put
/accounts/users/{uuid}/
200Success
delete
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
delete
/accounts/users/{uuid}/
204Success

No content

patch
Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Body
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
emailstring · email · max: 254Optional
first_namestring · max: 150Optional
last_namestring · max: 150Optional
groupsinteger[]Optional

The groups this user belongs to. A user will get all permissions granted to each of their groups.

is_activebooleanOptional

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

patch
/accounts/users/{uuid}/
200Success

Last updated